LATEXENCODE(1)

NAME
latexencode - part of pylatexenc: simple LaTeX parser provider conversion to/from unicode

DESCRIPTION
usage: latexencode [--non-ascii-only] [--no-non-ascii-only]

    [--replacement-latex-protection {braces,braces-all,braces-almost-all,braces-after-macro,none}] [--unknown-char-policy {keep,replace,ignore,fail}] [-q] [--version] [--help] [FILE [FILE ...]]

  positional arguments:

FILE
    Input files (if none specified, read from stdandard input)

  optional arguments:

--non-ascii-only

--no-non-ascii-only
    The option --non-ascii-only specifies that only nonascii characters are to be encoded into LaTeX sequences, and not characters like '$' even though they might have a special LaTeX meaning.

--replacement-latex-protection {braces,braces-all,braces-almost-all,braces-after-macro,none}
    How to protect replacement latex code from producing invalid latex code when concatenated in a longer string. One of 'braces', 'braces-all', 'braces-almostall', 'braces-after-macro', 'none'. Example: using choice 'braces' we avoid the invalid replacement 'a???b' -> 'a\tob' with instead 'a{\to}b'.

--unknown-char-policy {keep,replace,ignore,fail}
    How to deal with nonascii characters with no known latex code equivalent.

-q, --quiet
    Suppress warning messages

--version
    Show version information and exit

--help
    Show this help information and exit

AUTHORS
 pylatexenc was primarily written by Philippe Faist.

SEE ALSO
 This script is part of pylatexenc. Full documentation for the pylatexenc suite
 can be consulted at https://pylatexenc.readthedocs.io .